Bug 1652688 - xdg-screensaver requires few perl modules
Summary: xdg-screensaver requires few perl modules
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-utils
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 15:27 UTC by Dan Horák
Modified: 2019-11-27 19:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:59:54 UTC


Attachments (Terms of Use)

Description Dan Horák 2018-11-22 15:27:15 UTC
Description of problem:
xdg-screensaver is used for interaction with a screensaver in desktop environment. When pausing/resuming video replay in parole under XFCE with light-locker as screensaver I see 

Can't locate Net/DBus.pm in @INC (you may need to install the Net::DBus module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at -e line 5.
BEGIN failed--compilation aborted at -e line 5.

on the terminal and in $HOME/.xsession-errors

screensaver_gnome_screensaver() is used for interacting with gnome-based screensavers over DBus and it has

use IO::File;
use Net::DBus;
use X11::Protocol;

so these modules should be available on the system. If hard dependency on Perl should be avoided, then we could use Recommends. After installing 'perl(Net::DBus)' 'perl(X11::Protocol)' the perl error goes away. Although a new error appears :-)

Protocol error: bad 3 (Window); Sequence Number 5
 Opcode (20, 0) = GetProperty
 Bad resource 1763729443 (0x69206023)
 at -e line 15.


So next question is whether the perl code is still functional.


Version-Release number of selected component (if applicable):
xdg-utils-1.1.3-3.fc29

How reproducible:
100%

Steps to Reproduce:
1. parole foo.webm
2. press Space to pause video

Actual results:
Can't locate Net/DBus.pm in @INC (you may need to install the Net::DBus module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at -e line 5.
BEGIN failed--compilation aborted at -e line 5.


Expected results:
no error

Comment 1 Ben Cotton 2019-10-31 20:28:24 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 19:59:54 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.